Endpoint
Parameters
Request
Response
The
lyrics field is returned as an array of non-empty linesDocumentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Get song lyrics
GET /lyrics/{song}
| Parameter | Type | Required | Description |
|---|---|---|---|
song | string | Yes | Song name |
api_key | string | Yes* | Your API key (or pass via X-API-Key header) |
GET /lyrics/blinding lights?api_key=xvz-api-
GET /lyrics/blinding lights
X-API-Key: xvz-api-
{
"title": "Blinding Lights",
"artist": "The Weeknd",
"lyrics": [
"I've been trying to call",
"I've been on my own for long enough",
"..."
],
"url": "https://open.spotify.com/track/...",
"thumbnail": "https://i.scdn.co/image/..."
}
lyrics field is returned as an array of non-empty lines